<?php
		
	//error_reporting(E_ALL);
	//ini_set('display_errors',1);

	session_start();
	
	require_once ("../../config/Cado.php");  
	
	require_once ("../producto/cCatalogo.php");
	$oCatalogo = new cCatalogo();

	require_once ("../formatos/formato.php");
	

if(isset($_SESSION['notaalmacen_catid'])){
	$num_rows=count($_SESSION['notaalmacen_catid']);
	if($num_rows==0)$num_rows="";
}else{
	$num_rows="";
}



?>
<style>
		#notalm_car_tabla td{
		vertical-align: middle;
		padding: 4px 4px !important;
	}
	#notalm_car_tabla td.editable,#notalm_car_tabla td.editable *{
		cursor: text !important;
		height: 100%; 
		border-bottom-color: #ccc;
		border-bottom-style: dashed; 
		border-bottom-width: 0.5px;
	}
	#notalm_car_tabla td.editando{
		background-color: rgba(18, 180, 243, 0.05);
		outline: 2px solid #35A4F3;
	}
	#notalm_car_tabla td input{
		height: 100%;
		width: 100%;
		box-sizing: border-box;
		display: inline-block;
		border: none;
		background: transparent;
		color:#fff;
		font-size:17px;
	}
	#notalm_car_tabla td input:focus{
		background: transparent;
		height: 100%;
		width: 100%;
		outline: none;
		border: none;
	}
	#notalm_car_tabla td input[readonly]{
		background: transparent;
	}
</style>
				
<div class="table-responsive">	 	


<table cellspacing="1" id="notalm_car_tabla"  class="table table-bordered table-striped" cellpadding="2">
	<thead>
		<tr>
			<th>CÓDIGO</th>
			<th>ARTÍCULO</th>
			<th>EMPAQUE</th>
			<th>LABORATORIO</th>
			<th>PRECIO VENTA</th>
			<th>PRECIO VENTA F</th>
			<th align="right">CANTIDAD</th>
			<th></th>
		</tr>
	</thead>
	<tbody>
		<?php 
		if($num_rows>0){
			
		foreach ($_SESSION['notaalmacen_catid'] as $indice=>$catid){
		 
		$cat_id = $_SESSION['notaalmacen_catid'][$indice];
		$mar_id = $_SESSION['notaalmacen_marid'][$indice];
		$can = $_SESSION['notaalmacen_can'][$indice];
		$precom = $_SESSION['notaalmacen_precos'][$indice];
		$preven = $_SESSION['notaalmacen_preven'][$indice];
			//echo $_SESSION['notaalmacen_preven'][$indice];
		$dts1=$oCatalogo->mostrarUno($cat_id,$mar_id);
		$dt1 = mysqli_fetch_array($dts1);
		
		
		$prevenf = $preven / $dt1['tb_empaque_fac'];
		
		//list($,$prevenf) = explode('F',$can);
			
			//echo $preven.'--';
			//echo $prevenf;
		
		?>
			<tr class="even">
				<td>
					<?php echo '' ?>
				</td>
				
				<td  style="white-space: nowrap; font-size: 12pt; font-weight: bold;"> <strong> <?php echo $dt1['tb_producto_nom']?> </strong> </td>
				
				<td>
					<?php echo $dt1['tb_empaque_nom'] ?>
				</td>
				<td>
					<?php echo $dt1['tb_marca_nom'] ?>
				</td>
				
				<td align="right" width="100" class="editable">
					<input type="text" value="<?php echo formato_money($preven) ?>" 
					data-original="<?php echo $preven ?>" readonly
					data-tip = "preven"
					data-can="<?php echo $can ?>"
					data-cat_id="<?php echo $cat_id ?>"
					data-mar_id="<?php echo $mar_id ?>"
					style="text-align: right; font-size: 12pt;">
				</td>
				
				<td>
					<?php echo $prevenf ?>
				</td>
				
				<td align="right" width="100" class="editable">
					<input type="text" value="<?php echo $can ?>" data-original="<?php echo $can ?>" readonly 
					data-tip = "can"
					data-preven="<?php echo $preven ?>" 
					data-cat_id="<?php echo $cat_id ?>"
					data-mar_id="<?php echo $mar_id ?>"
					style="text-align: right; font-size: 12pt;">
				</td>
				
				<td align="center">
					<span style="cursor:pointer" 
					data-indice="<?php echo $cat_id.$mar_id; ?>" 
					class="btn btn-danger btn-sm btn_eliminar" ><i class="fas fa-trash"></i></span> 	
				</td>
			</tr>
			
			
		<?php }
		}else{
			
			
		} ?>
	
	
	</tbody>
</table>




	<br>
	<?php 
	if($num_rows=="" or $num_rows==0)
		echo 'Ningún producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	if($num_rows==1)
		echo $num_rows.' producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	if($num_rows>=2)
		echo $num_rows.' productos agregados. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	
	
	/* echo '<br />'.$oferta_menu; */
	?>


			</div>
			
			
			
			
			
			
			
			

<script>
		
	  $('#notalm_car_tabla').DataTable({
 
        "language": {
                "lengthMenu": "Mostrar _MENU_ registros",
                "zeroRecords": "No se encontraron resultados",
                "info": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                "infoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                "sSearch": "Buscar:",
                "oPaginate": {
                    "sFirst": "Primero",
                    "sLast":"Último",
                    "sNext":"Siguiente",
                    "sPrevious": "Anterior"
			     },
			     "sProcessing":"Procesando...",
            }
    });  
	
	
	
	$('#notalm_car_tabla td input').keydown(function(ev) {
		if(ev.keyCode == 13 && !$(this).attr('readonly'))
		{
			var tip = $(this).attr('data-tip');
			var cat_id = $(this).attr('data-cat_id');
			var mar_id = $(this).attr('data-mar_id');
			
			
			
			var cant = $(this).val();
			var des = 0;
			var mon = 0;
			var est = 0;
			
			if(tip == "can"){
				var cant = $(this).val();
				var preven = $(this).attr('data-preven');
				agregar_producto('editar', cat_id,cant,preven,mar_id,des,mon,est);
			}else if(tip == "preven"){
				
				var cant = $(this).attr('data-can');
				var preven = $(this).val();
				//alert(cant);
				
				agregar_producto('editar', cat_id,cant,preven,mar_id,des,mon,est);
			}
			
			
			
			$(this).attr('readonly', 'true');
			$(this).parent().removeClass('editando');
			
			return false;
		}
	});
	$('#notalm_car_tabla td input').parent().click(function(ev) {
		var $input = $(this).find('input');
		var $td = $input.parent().addClass('editando');
		$input.removeAttr('readonly').focus().select();
	});
	$('#notalm_car_tabla td input').blur(function(event) {
		$(this).val($(this).attr('data-original'));
		$(this).attr('readonly', 'true');
		$(this).parent().removeClass('editando');
	});
	$('#notalm_car_tabla td input').keydown(function(ev) {
		if(ev.keyCode==27){
			$(this).val($(this).attr('data-original'));
			$(this).attr('readonly', 'true');
			$(this).parent().removeClass('editando');
		}
	});
$( ".btn_eliminar" ).click(function() { 
				var cat_id = $(this).attr('data-indice');
				if(confirm('¿Seguro de quitar el ítem?')){
					agregar_producto('eliminar', cat_id);
				}
			});
		
</script>